#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	Map8
Summary:	Unicode::Map8 - mapping table between 8-bit chars and Unicode
Summary(pl.UTF-8):	Unicode::Map8 - tabela odwzorowująca między znakami 8-bitowymi a Unikodem
Name:		perl-Unicode-Map8
Version:	0.13
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc93a37cabcae488bd95ca07bf5c919e
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Unicode-Map8/
BuildRequires:	perl-Unicode-String >= 2.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Unicode::Map8 class implement efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode. The
tables are efficient both in terms of space allocated and translation
speed. The 16-bit strings is assumed to use network byte order.

%description -l pl.UTF-8
Klasa Unicode::Map8 implementuje wydajne tablice odwzorowujące
pomiędzy 8-bitowymi zestawami znaków a 16-bitowymi zestawami takimi
jak Unikod. Tablice są wydajne zarówno jeśli chodzi o ilość
przydzielonego miejsca, jak i szybkość konwersji. Zakłada się, że
łańcuchy 16-bitowe używają sieciowej kolejności bajtów w słowie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install {diff_iso,make*maps,map8_*} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README rfc1345.txt
%attr(755,root,root) %{_bindir}/umap
%{perl_vendorarch}/Unicode/Map8.pm
%{perl_vendorarch}/Unicode/Map8
%dir %{perl_vendorarch}/auto/Unicode/Map8
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/Map8/Map8.so
%{_mandir}/man1/umap.1p*
%{_mandir}/man3/Unicode::Map8.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unicode-Map8.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9dbcdda
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3848846
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c6eaeb8
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8d0465d
- rel 8

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 0ab7ba4
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2aa6500
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1238222
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 30bfdca
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7a29c11
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> dbb6c21
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8dec4e3
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> a04e5d2
- package umap just once, don't package *2txt helper script as doc

* Fri Jul 01 2011 marti <marti@pld-linux.org> 4414e1a
- up to 0.13

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> efa2972
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 271752e
- release 7

* Mon Jul 28 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d16d986
- release 6

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0588b92
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 4a53174
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7fd760b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4a574e3
- converted to UTF-8

